summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-06-12 20:19:01 +0200
committerMichał Górny <mgorny@gentoo.org>2020-06-12 20:24:30 +0200
commit82c58d6f5fcbc936f7f34140118e47b31c7b9e52 (patch)
treefc823df640214e93e52346e5e2d518322357ca26 /dev-python/sphinxcontrib-spelling
parentdev-python/sphinxcontrib-spelling: Port to py3.9 (diff)
downloadgentoo-82c58d6f5fcbc936f7f34140118e47b31c7b9e52.tar.gz
gentoo-82c58d6f5fcbc936f7f34140118e47b31c7b9e52.tar.bz2
gentoo-82c58d6f5fcbc936f7f34140118e47b31c7b9e52.zip
dev-python/sphinxcontrib-spelling: Bump to 5.1.1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/sphinxcontrib-spelling')
-rw-r--r--dev-python/sphinxcontrib-spelling/Manifest1
-rw-r--r--dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.1.1.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/sphinxcontrib-spelling/Manifest b/dev-python/sphinxcontrib-spelling/Manifest
index eed8bec9e1e..a02049b30fc 100644
--- a/dev-python/sphinxcontrib-spelling/Manifest
+++ b/dev-python/sphinxcontrib-spelling/Manifest
@@ -1,3 +1,4 @@
DIST sphinxcontrib-spelling-4.3.0.tar.gz 38316 BLAKE2B 4bfcbfb22c10b5bd181ef5ba7b64815ccaeaa50f01ccff96adab914cfbe6674ce28088e5eb5717b44531565f961b1f159014d235275065070e22d96d08cd4af2 SHA512 0d1575079be7994df905de02d31ad2c9c3af9634a487fbc9c565067fcbef6c36fd4fbd326ccbee4b40b3ff14696ad85a97c68018a956ff3e2f7e1be46bb3a074
DIST sphinxcontrib-spelling-5.0.0.tar.gz 38479 BLAKE2B 5fb20cb08529e1db9d5df25a31f09849dacf41003893dcc74355d70161269b18b3bda7eb2dcc279250190e6eb2ead7a3bb1d40ac4a4d5db1a390f339a22da777 SHA512 bd608e13d1643924d69336da6a5fedac3f60ffbbf0d367c203936395270b2504f45db2ec0d2fe179a86dc91616e458c6fa0d2a6f66a20ee956c5f52ece1140ce
DIST sphinxcontrib-spelling-5.1.0.tar.gz 22942 BLAKE2B 00861b429b66667ed45791f9dd8394b23cf2982875a9e3470c1e2dee22ff0500515d409821a73e46b49bcf397e9ef40f377f933e460b8673579b1f234bf157e4 SHA512 22c5c4eac56c0138e33aae38c2ed1d254211c502087e4c0ebebf2b3b7df69d2567cacde394abb2d8385eab48ea6e3ac9282c980bc8b52408f46bc06ab9634fa4
+DIST sphinxcontrib-spelling-5.1.1.tar.gz 22883 BLAKE2B eb5d13e73221dd4de86ebddc5222ee75b152a0e7681e93c0cfd66767903a949cb3d967c12bf553a67bfcd2854133f1164b965711781601753420f5f6a132bc7e SHA512 79825228d35e98fc85e4d1d6cfcc3f720df68b7f1493a0907e712369fcb76fc30d96de44fbbcc092e6978a797646da532489f420af42566ca4f9b5b932d85292
diff --git a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.1.1.ebuild b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.1.1.ebuild
new file mode 100644
index 00000000000..5b51077280e
--- /dev/null
+++ b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.1.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx spelling extension"
+HOMEPAGE="https://github.com/sphinx-contrib/spelling"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ dev-python/pyenchant[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ app-dicts/myspell-en
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source --no-autodoc
+distutils_enable_tests unittest
+
+RDEPEND+="
+ dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+"
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}